package com.abi.qms.platform.valid;

import com.abi.qms.platform.dao.enums.ValidatorEnum;
import org.apache.commons.lang3.StringUtils;

import javax.annotation.PostConstruct;
import java.util.regex.Pattern;

/**
 * @className: com.abi.qms.platform.valid-> PhoneNoValidator
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-25 17:52
 * @version: 1.0
 * @todo:
 */
public class PhoneNoValidator extends PropertyValidator{

    @Override
    public Boolean doCheck(String phone){

        if (StringUtils.isBlank(phone)){
            return false;
        }
        //手机号格式校验
        String keymanMobileFormatString = "^1[0-9]{10}$";
        Pattern keymanMobileFormat = Pattern.compile(keymanMobileFormatString);
        if (!keymanMobileFormat.matcher(phone).matches()){
            return false;
        }
        return true;
    }
    @PostConstruct
    public void init(){
        validatorMap.put(ValidatorEnum.PHONE, this);
    }
}
